/*
 * Internal module API header file.
 *
 * Generated by SIP 4.19.1
 *
 * Copyright (c) 2017 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtWebEngineAPI_H
#define _QtWebEngineAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include <sip.h>

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11
#define SIP_TIMELINE_Qt_5_7_1


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QQuickWebEngineProfile__PersistentCookiesPolicy 0
#define sipName_QQuickWebEngineProfile__PersistentCookiesPolicy &sipStrings_QtWebEngine[0]
#define sipNameNr_QQuickWebEngineProfile__HttpCacheType 48
#define sipName_QQuickWebEngineProfile__HttpCacheType &sipStrings_QtWebEngine[48]
#define sipNameNr_persistentCookiesPolicyChanged 86
#define sipName_persistentCookiesPolicyChanged &sipStrings_QtWebEngine[86]
#define sipNameNr_persistentStoragePathChanged 117
#define sipName_persistentStoragePathChanged &sipStrings_QtWebEngine[117]
#define sipNameNr_httpCacheMaximumSizeChanged 146
#define sipName_httpCacheMaximumSizeChanged &sipStrings_QtWebEngine[146]
#define sipNameNr_removeAllUrlSchemeHandlers 174
#define sipName_removeAllUrlSchemeHandlers &sipStrings_QtWebEngine[174]
#define sipNameNr_setPersistentCookiesPolicy 201
#define sipName_setPersistentCookiesPolicy &sipStrings_QtWebEngine[201]
#define sipNameNr_httpAcceptLanguageChanged 228
#define sipName_httpAcceptLanguageChanged &sipStrings_QtWebEngine[228]
#define sipNameNr_setPersistentStoragePath 254
#define sipName_setPersistentStoragePath &sipStrings_QtWebEngine[254]
#define sipNameNr_installUrlSchemeHandler 279
#define sipName_installUrlSchemeHandler &sipStrings_QtWebEngine[279]
#define sipNameNr_setHttpCacheMaximumSize 303
#define sipName_setHttpCacheMaximumSize &sipStrings_QtWebEngine[303]
#define sipNameNr_persistentCookiesPolicy 327
#define sipName_persistentCookiesPolicy &sipStrings_QtWebEngine[327]
#define sipNameNr_PersistentCookiesPolicy 24
#define sipName_PersistentCookiesPolicy &sipStrings_QtWebEngine[24]
#define sipNameNr_removeUrlSchemeHandler 351
#define sipName_removeUrlSchemeHandler &sipStrings_QtWebEngine[351]
#define sipNameNr_ForcePersistentCookies 374
#define sipName_ForcePersistentCookies &sipStrings_QtWebEngine[374]
#define sipNameNr_AllowPersistentCookies 397
#define sipName_AllowPersistentCookies &sipStrings_QtWebEngine[397]
#define sipNameNr_QQuickWebEngineProfile 420
#define sipName_QQuickWebEngineProfile &sipStrings_QtWebEngine[420]
#define sipNameNr_setRequestInterceptor 443
#define sipName_setRequestInterceptor &sipStrings_QtWebEngine[443]
#define sipNameNr_setHttpAcceptLanguage 465
#define sipName_setHttpAcceptLanguage &sipStrings_QtWebEngine[465]
#define sipNameNr_persistentStoragePath 487
#define sipName_persistentStoragePath &sipStrings_QtWebEngine[487]
#define sipNameNr_httpCacheTypeChanged 509
#define sipName_httpCacheTypeChanged &sipStrings_QtWebEngine[509]
#define sipNameNr_httpUserAgentChanged 530
#define sipName_httpUserAgentChanged &sipStrings_QtWebEngine[530]
#define sipNameNr_httpCacheMaximumSize 551
#define sipName_httpCacheMaximumSize &sipStrings_QtWebEngine[551]
#define sipNameNr_offTheRecordChanged 572
#define sipName_offTheRecordChanged &sipStrings_QtWebEngine[572]
#define sipNameNr_NoPersistentCookies 592
#define sipName_NoPersistentCookies &sipStrings_QtWebEngine[592]
#define sipNameNr_storageNameChanged 612
#define sipName_storageNameChanged &sipStrings_QtWebEngine[612]
#define sipNameNr_httpAcceptLanguage 631
#define sipName_httpAcceptLanguage &sipStrings_QtWebEngine[631]
#define sipNameNr_PyQt5_QtWebEngine 650
#define sipName_PyQt5_QtWebEngine &sipStrings_QtWebEngine[650]
#define sipNameNr_cachePathChanged 668
#define sipName_cachePathChanged &sipStrings_QtWebEngine[668]
#define sipNameNr_urlSchemeHandler 685
#define sipName_urlSchemeHandler &sipStrings_QtWebEngine[685]
#define sipNameNr_setHttpCacheType 702
#define sipName_setHttpCacheType &sipStrings_QtWebEngine[702]
#define sipNameNr_setHttpUserAgent 719
#define sipName_setHttpUserAgent &sipStrings_QtWebEngine[719]
#define sipNameNr_disconnectNotify 736
#define sipName_disconnectNotify &sipStrings_QtWebEngine[736]
#define sipNameNr_removeUrlScheme 753
#define sipName_removeUrlScheme &sipStrings_QtWebEngine[753]
#define sipNameNr_setOffTheRecord 769
#define sipName_setOffTheRecord &sipStrings_QtWebEngine[769]
#define sipNameNr_MemoryHttpCache 785
#define sipName_MemoryHttpCache &sipStrings_QtWebEngine[785]
#define sipNameNr_defaultProfile 801
#define sipName_defaultProfile &sipStrings_QtWebEngine[801]
#define sipNameNr_clearHttpCache 816
#define sipName_clearHttpCache &sipStrings_QtWebEngine[816]
#define sipNameNr_isOffTheRecord 831
#define sipName_isOffTheRecord &sipStrings_QtWebEngine[831]
#define sipNameNr_setStorageName 846
#define sipName_setStorageName &sipStrings_QtWebEngine[846]
#define sipNameNr_httpCacheType 861
#define sipName_httpCacheType &sipStrings_QtWebEngine[861]
#define sipNameNr_httpUserAgent 875
#define sipName_httpUserAgent &sipStrings_QtWebEngine[875]
#define sipNameNr_DiskHttpCache 889
#define sipName_DiskHttpCache &sipStrings_QtWebEngine[889]
#define sipNameNr_HttpCacheType 72
#define sipName_HttpCacheType &sipStrings_QtWebEngine[72]
#define sipNameNr_connectNotify 739
#define sipName_connectNotify &sipStrings_QtWebEngine[739]
#define sipNameNr_setCachePath 903
#define sipName_setCachePath &sipStrings_QtWebEngine[903]
#define sipNameNr_QtWebEngine 656
#define sipName_QtWebEngine &sipStrings_QtWebEngine[656]
#define sipNameNr_cookieStore 916
#define sipName_cookieStore &sipStrings_QtWebEngine[916]
#define sipNameNr_storageName 928
#define sipName_storageName &sipStrings_QtWebEngine[928]
#define sipNameNr_customEvent 940
#define sipName_customEvent &sipStrings_QtWebEngine[940]
#define sipNameNr_eventFilter 952
#define sipName_eventFilter &sipStrings_QtWebEngine[952]
#define sipNameNr_initialize 964
#define sipName_initialize &sipStrings_QtWebEngine[964]
#define sipNameNr_childEvent 975
#define sipName_childEvent &sipStrings_QtWebEngine[975]
#define sipNameNr_timerEvent 986
#define sipName_timerEvent &sipStrings_QtWebEngine[986]
#define sipNameNr_cachePath 997
#define sipName_cachePath &sipStrings_QtWebEngine[997]
#define sipNameNr_directory 1007
#define sipName_directory &sipStrings_QtWebEngine[1007]
#define sipNameNr_precision 1017
#define sipName_precision &sipStrings_QtWebEngine[1017]
#define sipNameNr_protocol 1027
#define sipName_protocol &sipStrings_QtWebEngine[1027]
#define sipNameNr_nameType 1036
#define sipName_nameType &sipStrings_QtWebEngine[1036]
#define sipNameNr_NoCache 1045
#define sipName_NoCache &sipStrings_QtWebEngine[1045]
#define sipNameNr_filters 1053
#define sipName_filters &sipStrings_QtWebEngine[1053]
#define sipNameNr_options 1061
#define sipName_options &sipStrings_QtWebEngine[1061]
#define sipNameNr_proper 1069
#define sipName_proper &sipStrings_QtWebEngine[1069]
#define sipNameNr_value9 1076
#define sipName_value9 &sipStrings_QtWebEngine[1076]
#define sipNameNr_value8 1083
#define sipName_value8 &sipStrings_QtWebEngine[1083]
#define sipNameNr_value7 1090
#define sipName_value7 &sipStrings_QtWebEngine[1090]
#define sipNameNr_value6 1097
#define sipName_value6 &sipStrings_QtWebEngine[1097]
#define sipNameNr_value5 1104
#define sipName_value5 &sipStrings_QtWebEngine[1104]
#define sipNameNr_value4 1111
#define sipName_value4 &sipStrings_QtWebEngine[1111]
#define sipNameNr_value3 1118
#define sipName_value3 &sipStrings_QtWebEngine[1118]
#define sipNameNr_value2 1125
#define sipName_value2 &sipStrings_QtWebEngine[1125]
#define sipNameNr_value1 1132
#define sipName_value1 &sipStrings_QtWebEngine[1132]
#define sipNameNr_value0 1139
#define sipName_value0 &sipStrings_QtWebEngine[1139]
#define sipNameNr_symbol 1146
#define sipName_symbol &sipStrings_QtWebEngine[1146]
#define sipNameNr_suffix 1153
#define sipName_suffix &sipStrings_QtWebEngine[1153]
#define sipNameNr_prefix 1160
#define sipName_prefix &sipStrings_QtWebEngine[1160]
#define sipNameNr_locale 1167
#define sipName_locale &sipStrings_QtWebEngine[1167]
#define sipNameNr_format 1174
#define sipName_format &sipStrings_QtWebEngine[1174]
#define sipNameNr_parent 1181
#define sipName_parent &sipStrings_QtWebEngine[1181]
#define sipNameNr_event 1188
#define sipName_event &sipStrings_QtWebEngine[1188]
#define sipNameNr_msecs 1194
#define sipName_msecs &sipStrings_QtWebEngine[1194]
#define sipNameNr_port 1200
#define sipName_port &sipStrings_QtWebEngine[1200]
#define sipNameNr_mode 1205
#define sipName_mode &sipStrings_QtWebEngine[1205]
#define sipNameNr_name 1210
#define sipName_name &sipStrings_QtWebEngine[1210]
#define sipNameNr_base 1215
#define sipName_base &sipStrings_QtWebEngine[1215]
#define sipNameNr_from 1220
#define sipName_from &sipStrings_QtWebEngine[1220]
#define sipNameNr_sort 1225
#define sipName_sort &sipStrings_QtWebEngine[1225]

#define sipMalloc                   sipAPI_QtWebEngine->api_malloc
#define sipFree                     sipAPI_QtWebEngine->api_free
#define sipBuildResult              sipAPI_QtWebEngine->api_build_result
#define sipCallMethod               sipAPI_QtWebEngine->api_call_method
#define sipCallProcedureMethod      sipAPI_QtWebEngine->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtWebEngine->api_call_error_handler
#define sipParseResultEx            sipAPI_QtWebEngine->api_parse_result_ex
#define sipParseResult              sipAPI_QtWebEngine->api_parse_result
#define sipParseArgs                sipAPI_QtWebEngine->api_parse_args
#define sipParseKwdArgs             sipAPI_QtWebEngine->api_parse_kwd_args
#define sipParsePair                sipAPI_QtWebEngine->api_parse_pair
#define sipCommonDtor               sipAPI_QtWebEngine->api_common_dtor
#define sipConvertFromSequenceIndex sipAPI_QtWebEngine->api_convert_from_sequence_index
#define sipConvertFromVoidPtr       sipAPI_QtWebEngine->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtWebEngine->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtWebEngine->api_add_exception
#define sipNoFunction               sipAPI_QtWebEngine->api_no_function
#define sipNoMethod                 sipAPI_QtWebEngine->api_no_method
#define sipAbstractMethod           sipAPI_QtWebEngine->api_abstract_method
#define sipBadClass                 sipAPI_QtWebEngine->api_bad_class
#define sipBadCatcherResult         sipAPI_QtWebEngine->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtWebEngine->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtWebEngine->api_bad_operator_arg
#define sipTrace                    sipAPI_QtWebEngine->api_trace
#define sipTransferBack             sipAPI_QtWebEngine->api_transfer_back
#define sipTransferTo               sipAPI_QtWebEngine->api_transfer_to
#define sipTransferBreak            sipAPI_QtWebEngine->api_transfer_break
#define sipSimpleWrapper_Type       sipAPI_QtWebEngine->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtWebEngine->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtWebEngine->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtWebEngine->api_voidptr_type
#define sipGetPyObject              sipAPI_QtWebEngine->api_get_pyobject
#define sipGetAddress               sipAPI_QtWebEngine->api_get_address
#define sipGetMixinAddress          sipAPI_QtWebEngine->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtWebEngine->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtWebEngine->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_QtWebEngine->api_is_py_method
#define sipCallHook                 sipAPI_QtWebEngine->api_call_hook
#define sipEndThread                sipAPI_QtWebEngine->api_end_thread
#define sipConnectRx                sipAPI_QtWebEngine->api_connect_rx
#define sipDisconnectRx             sipAPI_QtWebEngine->api_disconnect_rx
#define sipRaiseUnknownException    sipAPI_QtWebEngine->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtWebEngine->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtWebEngine->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtWebEngine->api_add_type_instance
#define sipFreeSipslot              sipAPI_QtWebEngine->api_free_sipslot
#define sipSameSlot                 sipAPI_QtWebEngine->api_same_slot
#define sipPySlotExtend             sipAPI_QtWebEngine->api_pyslot_extend
#define sipConvertRx                sipAPI_QtWebEngine->api_convert_rx
#define sipAddDelayedDtor           sipAPI_QtWebEngine->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtWebEngine->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtWebEngine->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtWebEngine->api_force_convert_to_type
#define sipCanConvertToEnum         sipAPI_QtWebEngine->api_can_convert_to_enum
#define sipReleaseType              sipAPI_QtWebEngine->api_release_type
#define sipConvertFromType          sipAPI_QtWebEngine->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtWebEngine->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtWebEngine->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtWebEngine->api_convert_from_enum
#define sipGetState                 sipAPI_QtWebEngine->api_get_state
#define sipLong_AsUnsignedLong      sipAPI_QtWebEngine->api_long_as_unsigned_long
#define sipExportSymbol             sipAPI_QtWebEngine->api_export_symbol
#define sipImportSymbol             sipAPI_QtWebEngine->api_import_symbol
#define sipFindType                 sipAPI_QtWebEngine->api_find_type
#define sipFindNamedEnum            sipAPI_QtWebEngine->api_find_named_enum
#define sipBytes_AsChar             sipAPI_QtWebEngine->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtWebEngine->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtWebEngine->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtWebEngine->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtWebEngine->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtWebEngine->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtWebEngine->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtWebEngine->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtWebEngine->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtWebEngine->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtWebEngine->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtWebEngine->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtWebEngine->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_QtWebEngine->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtWebEngine->api_invoke_slot_ex
#define sipSaveSlot                 sipAPI_QtWebEngine->api_save_slot
#define sipClearAnySlotReference    sipAPI_QtWebEngine->api_clear_any_slot_reference
#define sipVisitSlot                sipAPI_QtWebEngine->api_visit_slot
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtWebEngine->api_deprecated
#define sipGetReference             sipAPI_QtWebEngine->api_get_reference
#define sipKeepReference            sipAPI_QtWebEngine->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtWebEngine->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtWebEngine->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtWebEngine->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtWebEngine->api_type_scope
#define sipResolveTypedef           sipAPI_QtWebEngine->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtWebEngine->api_register_attribute_getter
#define sipIsAPIEnabled             sipAPI_QtWebEngine->api_is_api_enabled
#define sipSetDestroyOnExit         sipAPI_QtWebEngine->api_set_destroy_on_exit
#define sipEnableAutoconversion     sipAPI_QtWebEngine->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtWebEngine->api_init_mixin
#define sipExportModule             sipAPI_QtWebEngine->api_export_module
#define sipInitModule               sipAPI_QtWebEngine->api_init_module
#define sipGetInterpreter           sipAPI_QtWebEngine->api_get_interpreter
#define sipSetNewUserTypeHandler    sipAPI_QtWebEngine->api_set_new_user_type_handler
#define sipSetTypeUserData          sipAPI_QtWebEngine->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtWebEngine->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtWebEngine->api_py_type_dict
#define sipPyTypeName               sipAPI_QtWebEngine->api_py_type_name
#define sipGetCFunction             sipAPI_QtWebEngine->api_get_c_function
#define sipGetMethod                sipAPI_QtWebEngine->api_get_method
#define sipFromMethod               sipAPI_QtWebEngine->api_from_method
#define sipGetDate                  sipAPI_QtWebEngine->api_get_date
#define sipFromDate                 sipAPI_QtWebEngine->api_from_date
#define sipGetDateTime              sipAPI_QtWebEngine->api_get_datetime
#define sipFromDateTime             sipAPI_QtWebEngine->api_from_datetime
#define sipGetTime                  sipAPI_QtWebEngine->api_get_time
#define sipFromTime                 sipAPI_QtWebEngine->api_from_time
#define sipIsUserType               sipAPI_QtWebEngine->api_is_user_type
#define sipGetFrame                 sipAPI_QtWebEngine->api_get_frame
#define sipCheckPluginForType       sipAPI_QtWebEngine->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtWebEngine->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtWebEngine->api_unicode_write
#define sipUnicodeData              sipAPI_QtWebEngine->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtWebEngine->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtWebEngine->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtWebEngine->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtWebEngine->api_is_derived_class
#define sipGetUserObject            sipAPI_QtWebEngine->api_get_user_object
#define sipSetUserObject            sipAPI_QtWebEngine->api_set_user_object

/* These are deprecated. */
#define sipMapStringToClass         sipAPI_QtWebEngine->api_map_string_to_class
#define sipMapIntToClass            sipAPI_QtWebEngine->api_map_int_to_class
#define sipFindClass                sipAPI_QtWebEngine->api_find_class
#define sipFindMappedType           sipAPI_QtWebEngine->api_find_mapped_type
#define sipConvertToArray           sipAPI_QtWebEngine->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtWebEngine->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtWebEngine->api_enable_gc
#define sipWrapper_Check(w)         PyObject_TypeCheck((w), sipAPI_QtWebEngine->api_wrapper_type)
#define sipGetWrapper(p, wt)        sipGetPyObject((p), (wt)->wt_td)
#define sipReleaseInstance(p, wt, s)    sipReleaseType((p), (wt)->wt_td, (s))
#define sipReleaseMappedType        sipReleaseType
#define sipCanConvertToInstance(o, wt, f)   sipCanConvertToType((o), (wt)->wt_td, (f))
#define sipCanConvertToMappedType   sipCanConvertToType
#define sipConvertToInstance(o, wt, t, f, s, e)     sipConvertToType((o), (wt)->wt_td, (t), (f), (s), (e))
#define sipConvertToMappedType      sipConvertToType
#define sipForceConvertToInstance(o, wt, t, f, s, e)    sipForceConvertToType((o), (wt)->wt_td, (t), (f), (s), (e))
#define sipForceConvertToMappedType sipForceConvertToType
#define sipConvertFromInstance(p, wt, t)    sipConvertFromType((p), (wt)->wt_td, (t))
#define sipConvertFromMappedType    sipConvertFromType
#define sipConvertFromNamedEnum(v, pt)  sipConvertFromEnum((v), ((sipEnumTypeObject *)(pt))->type)
#define sipConvertFromNewInstance(p, wt, t) sipConvertFromNewType((p), (wt)->wt_td, (t))

/* The strings used by this module. */
extern const char sipStrings_QtWebEngine[];

#define sipType_QQuickWebEngineProfile sipExportedTypes_QtWebEngine[0]
#define sipClass_QQuickWebEngineProfile sipExportedTypes_QtWebEngine[0]->u.td_wrapper_type

#define sipType_QQuickWebEngineProfile_PersistentCookiesPolicy sipExportedTypes_QtWebEngine[2]
#define sipEnum_QQuickWebEngineProfile_PersistentCookiesPolicy sipExportedTypes_QtWebEngine[2]->u.td_py_type

#define sipType_QQuickWebEngineProfile_HttpCacheType sipExportedTypes_QtWebEngine[1]
#define sipEnum_QQuickWebEngineProfile_HttpCacheType sipExportedTypes_QtWebEngine[1]->u.td_py_type

extern sipClassTypeDef sipTypeDef_QtWebEngine_QQuickWebEngineProfile;

#define sipType_QtWebEngine sipExportedTypes_QtWebEngine[3]
#define sipClass_QtWebEngine sipExportedTypes_QtWebEngine[3]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebEngine_QtWebEngine;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtWebEngine;
extern sipExportedModuleDef sipModuleAPI_QtWebEngine;
extern sipTypeDef *sipExportedTypes_QtWebEngine[];

#define sipType_QObject sipImportedTypes_QtWebEngine_QtCore[4].it_td
#define sipClass_QObject sipImportedTypes_QtWebEngine_QtCore[4].it_td->u.td_wrapper_type

#define sipType_QByteArray sipImportedTypes_QtWebEngine_QtCore[0].it_td
#define sipClass_QByteArray sipImportedTypes_QtWebEngine_QtCore[0].it_td->u.td_wrapper_type

#define sipType_QEvent sipImportedTypes_QtWebEngine_QtCore[2].it_td
#define sipClass_QEvent sipImportedTypes_QtWebEngine_QtCore[2].it_td->u.td_wrapper_type

#define sipType_QTimerEvent sipImportedTypes_QtWebEngine_QtCore[6].it_td
#define sipClass_QTimerEvent sipImportedTypes_QtWebEngine_QtCore[6].it_td->u.td_wrapper_type

#define sipType_QChildEvent sipImportedTypes_QtWebEngine_QtCore[1].it_td
#define sipClass_QChildEvent sipImportedTypes_QtWebEngine_QtCore[1].it_td->u.td_wrapper_type

#define sipType_QMetaMethod sipImportedTypes_QtWebEngine_QtCore[3].it_td
#define sipClass_QMetaMethod sipImportedTypes_QtWebEngine_QtCore[3].it_td->u.td_wrapper_type

#define sipType_QString sipImportedTypes_QtWebEngine_QtCore[5].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngine_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtWebEngine_QtCore[];

#define sipType_QWebEngineCookieStore sipImportedTypes_QtWebEngine_QtWebEngineCore[0].it_td
#define sipClass_QWebEngineCookieStore sipImportedTypes_QtWebEngine_QtWebEngineCore[0].it_td->u.td_wrapper_type

#define sipType_QWebEngineUrlRequestInterceptor sipImportedTypes_QtWebEngine_QtWebEngineCore[1].it_td
#define sipClass_QWebEngineUrlRequestInterceptor sipImportedTypes_QtWebEngine_QtWebEngineCore[1].it_td->u.td_wrapper_type

#define sipType_QWebEngineUrlSchemeHandler sipImportedTypes_QtWebEngine_QtWebEngineCore[2].it_td
#define sipClass_QWebEngineUrlSchemeHandler sipImportedTypes_QtWebEngine_QtWebEngineCore[2].it_td->u.td_wrapper_type
extern sipImportedTypeDef sipImportedTypes_QtWebEngine_QtWebEngineCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtWebEngine_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtWebEngine_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtWebEngine_qt_metacast;

#endif
